package domain


type AlibabaWdkSupplierOrderListSubOrderSyncDto struct {
    /*
        外部SkuCode     */
    OutSkuCode  *string `json:"out_sku_code,omitempty" `

    /*
        skuCode     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        扩展属性map     */
    TradeSubAttributes  *string `json:"trade_sub_attributes,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        售卖单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        盒马订单号     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        淘宝订单号     */
    TbBizOrderId  *int64 `json:"tb_biz_order_id,omitempty" `

    /*
        外部订单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        库存单位拣货数量     */
    PickAmountStock  *string `json:"pick_amount_stock,omitempty" `

    /*
        拣货金额，单位分     */
    PickAmt  *int64 `json:"pick_amt,omitempty" `

    /*
        库存单位购买数量     */
    BuyAmountStock  *string `json:"buy_amount_stock,omitempty" `

    /*
        订单类型  COMMON，GIFT     */
    OrderType  *string `json:"order_type,omitempty" `

    /*
        淘鲜达分摊金额     */
    TxdPmtAmt  *int64 `json:"txd_pmt_amt,omitempty" `

    /*
        子订单状态     */
    OrderStatus  *string `json:"order_status,omitempty" `

    /*
        履约各状态时间     */
    StatusChangeTime  *string `json:"status_change_time,omitempty" `

    /*
        单价     */
    Price  *int64 `json:"price,omitempty" `

    /*
        原价=单价*库存单位购买数量     */
    OriginalAmt  *int64 `json:"original_amt,omitempty" `

    /*
        优惠金额     */
    PromotionDiscountAmt  *int64 `json:"promotion_discount_amt,omitempty" `

    /*
        会员优惠金额     */
    MemberDiscountAmt  *int64 `json:"member_discount_amt,omitempty" `

    /*
        优惠来源明细，json格式的字符串，是个数组，可能包含多个优惠来源     */
    PromotionInfo  *string `json:"promotion_info,omitempty" `

}

func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetOutSkuCode(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.OutSkuCode = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetSkuCode(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetTradeSubAttributes(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.TradeSubAttributes = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetStockUnit(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetSaleUnit(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetBizOrderId(v int64) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetTbBizOrderId(v int64) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.TbBizOrderId = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetOutOrderId(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetPickAmountStock(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.PickAmountStock = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetPickAmt(v int64) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.PickAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetBuyAmountStock(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.BuyAmountStock = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetOrderType(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.OrderType = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetTxdPmtAmt(v int64) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.TxdPmtAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetOrderStatus(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.OrderStatus = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetStatusChangeTime(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.StatusChangeTime = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetPrice(v int64) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.Price = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetOriginalAmt(v int64) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.OriginalAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetPromotionDiscountAmt(v int64) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.PromotionDiscountAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetMemberDiscountAmt(v int64) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.MemberDiscountAmt = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListSubOrderSyncDto) SetPromotionInfo(v string) *AlibabaWdkSupplierOrderListSubOrderSyncDto {
    s.PromotionInfo = &v
    return s
}
